close Warning: Failed to sync with repository "(default)": [Errno 12] Cannot allocate memory; repository information may be out of date. Look in the Trac log for more information including mitigation strategies.
Modify

#277 closed enhancement (wontfix)

Jabber: can add account, but cannot register a new one

Reported by: datlicht@… Owned by:
Priority: wishlist Milestone:
Component: Jabber Version: 1.0.3
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

I'm using the public server on im.bitlbee.org, and I can add an existing Jabber account to bitlbee. But if I don't have a Jabber Account? I have to install another client (like PSI), register on the jabber server, uninstall again the other client etc. that's annoying.

Attachments (0)

Change History (7)

comment:1 Changed at 2007-05-02T05:16:06Z by wilmer

Resolution: wontfix
Status: newclosed

Creating a new Jabber account isn't quite something you do every day. Normally you do it only once in your life. ;-)

I think it's perfectly fine to require one to use a separate program for that then. I don't intend to implement this, because it'd also make spamming via BitlBee way too easy. Right now BitlBee isn't very useful for abuse by bots or spammers because every instance would need its own IM-account and I'd like to keep it like that.

comment:2 Changed at 2015-03-28T18:47:13Z by Norwack

I think this should be reconsidered.

comment:3 Changed at 2015-03-28T18:52:43Z by wilmer

Sorry, but no. Not even close to a daily usecase unless you're planning to send spam.

comment:4 Changed at 2015-03-28T18:58:55Z by dx

Isn't there another ticket for this? I was actually considering implementing this at some point, but disabled for public servers (which is what this ticket was about originally)

comment:5 Changed at 2015-06-25T06:42:50Z by DatLicht

omg ... a response to my 7 years old ticket.

comment:6 Changed at 2015-09-29T21:33:42Z by v4hn

I was just looking for this feature for 10 minutes before finding this thread. Yes, you don't do it every day, but you *have to do* it at some point and it's very irritating that bitlbee does not support this...

would you accept a patch in case somebody else gets around to do the work?

comment:7 Changed at 2015-09-29T23:58:29Z by dx

Yes, but i'd rather have a pull request at https://github.com/bitlbee/bitlbee/ for something like this, since it's likely that some review and changes might be needed, and doing that with patches on a tracker just sucks.

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.